/*
Theme Name: Ratio Child
Theme URI: https://ratio.qodeinteractive.com/
Description: A Powerful Theme for Architecture, Construction, and Interior Design
Author: Edge Themes
Author URI: https://themeforest.net/user/edge-themes
Version: 2.9
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Text Domain: ratio-child
Template: ratio

CSS changes can be made in files in the /css/ folder. This is a placeholder file required by WordPress, so do not delete it.

*/


/* =Theme customization starts here
-------------------------------------------------------------- */
.pco-custom-option input[type="checkbox"]{display:inline-block;}
.pco-design-option > label {font-size:25px; color:#333;margin-bottom:10px;display: block; font-weight: 600;}
.pco-design-option .select_container{margin-bottom:20px;}
.pco-custom-option ul.pco-custom-opt-list{display:flex; flex-wrap: wrap; padding:0; margin:10px 0;}
.pco-custom-option ul.pco-custom-opt-list li{list-style: none; width: 33.3333%; margin:5px 0;}

.pco-option input[type="checkbox"] + label::before{border-color:transparent !important;background-color: transparent !important;}
.pco-option input[type="checkbox"]:checked + label::before{content:"";}
.pco-option{position: relative;}
.pco-option ul.pco-item-list{margin:10px 0; padding:0 10px; position: absolute; width:100%; background-color:#f6f6f6; display: none; z-index: 9; max-width: 180px;}
.pco-option ul.pco-item-list li{list-style: none;}
.pco-option ul.pco-item-list li input[type="radio"]{display: inline-block !important;}
.pco-option ul.pco-item-list li input[type="radio"] + span::before{border-color:transparent !important;background-color: transparent !important;}
.pco-option ul.pco-item-list li input[type="radio"] + label::before{display: none;}
.pco-option ul.pco-item-list li input[type="radio"] + label{padding-left:5px;}
.pco-option input[type="radio"]:checked + span::before{content:"";}
.pco-custom-option ul.pco-item-list li span{padding-left:0.4em !important; }
.pco-file-option{margin-bottom:20px;}
.pco-opt-label {
  position: relative;
  padding-left: 20px;
  cursor: pointer;
}
.pco-opt-label::before {
  content: "";
  background-image: url('image/down.png');
  width: 15px;
  height: 15px;
  position: absolute;
  top: 3px;
  left: 0px;
  display: block;
  background-size: contain;
}
.woocommerce td.product-name dl.variation dt{margin-right:5px;}
.woocommerce td.product-name dl.variation dd{color:#232323;}
.woocommerce td.product-name .wc-item-meta {padding: 0 0 0 10px; margin-top:5px;}
.woocommerce-page .order_details li{line-height: 20px;}
@media (max-width: 959px) {
  .pco-custom-option ul.pco-custom-opt-list li{width: 50%;}
}
.popup-form-2{display:none;}
.select_container {
	width:100%;
	overflow:hidden;
	position:relative;
}
.select_container select {
  background: none !important;
  border: none;
  width: 100%;
  padding: 1em 1.4em;
    padding-right: 1.4em;
  padding-right: 3em !important;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  -ms-box-sizing: border-box;
  box-sizing: border-box;
  border: 1px solid #eaeaea;
}
.quantity.edgtf-quantity-buttons{width:50px; display:none !important;}

ul.accordion-list {
  position: relative;
  display: block;
  width: auto;
  height: auto;
  padding: 20px;
  margin: 0;
  list-style: none;
  background-color: #f9f9fA;
  
  li {
    position: relative;
    display: block;
    width: auto;
    height: auto;
    background-color: #FFF;
    padding: 0;
    margin: 0 auto 15px auto;
    border: 1px solid #eee;
    border-radius: 5px;
    cursor: pointer;
    
    &.active {
      h3 {
        &:after {
          transform: rotate(45deg);
        }
      }
    }
    
    h3 {
      font-weight: 700;
      position: relative;
      display: block;
      width: auto;
      height: auto;
      padding: 20px 20px 20px 20px;
      margin: 0;
      font-size: 15px;
      letter-spacing: 0.01em;
      cursor: pointer;
      
      &:after {
        content: "+";
        font-family: "material-design-iconic-font";
        position: absolute;
        right: 20px;
        top: 20px;
        color: #Fcc110;
        transition: all 0.3s ease-in-out;
        font-size: 18px;
      }
    }
    
    div.answer {
      position: relative;
      display: block;
      width: auto;
      height: auto;
      margin: 0;
      padding: 0px 20px 20px 20px;
      cursor: pointer;
      
      p {
        position: relative;
        display: block;
        font-weight: 300;
        padding: 10px 0 0 0;
        cursor: pointer;
        line-height: 150%;
        margin: 0 0 15px 0;
        font-size: 14px;
      }
    }
  }
}

.answer ul {
  display: flex;
  padding: 0;
  margin: 20px 0;
  gap:10px;
}



.progress-container {
  position: relative;
  width: 100%;
  height: 50px;
  border: 5px solid #dcc924;
  margin: 20px auto;
  border-radius:10px;
  overflow:hidden;
}

.progress-bar {
  position: absolute;
  left: 0;
  height: 100%;
  width: 100%;  /* Full width */
  display: flex;
  align-items: center;
  justify-content: center;
  color: white;
  pointer-events: none;  /* Ensure the text doesn't interfere with the progress bar updates */
  font-size:24px;
}

.progress-bar-fill {
  position: absolute;
  left: 0;
  height: 100%;
  background-color: #553286;
  transition: width 0.5s ease;
}

.counter {
  text-align: center;
  margin-top: 10px;
  font-size: 20px;
}

.completed-message {
  text-align: center;
  display: none;
  font-size: 20px;
  color: green;
}


.rwd-table {
  margin: auto;
  min-width: 300px;
  max-width: 100%;
  border-collapse: collapse;
  width:100%;
}

.rwd-table tr:first-child {
  border-top: none;
  background: #428bca;
  color: #fff;
}

.rwd-table tr {
  border-top: 1px solid #ddd;
  border-bottom: 1px solid #ddd;
  background-color: #f5f9fc;
}

.rwd-table tr:nth-child(odd):not(:first-child) {
  background-color: #ebf3f9;
}

.rwd-table th {
  display: none;
}

.rwd-table td {
  display: block;
}

.rwd-table td:first-child {
  margin-top: .5em;
}

.rwd-table td:last-child {
  margin-bottom: .5em;
}

.rwd-table td:before {
  content: attr(data-th) ": ";
  font-weight: bold;
  width: 120px;
  display: inline-block;
  color: #000;
}

.rwd-table th,
.rwd-table td {
  text-align: left;
}

.rwd-table {
  color: #333;
  border-radius: .4em;
  overflow: hidden;
}

.rwd-table tr {
  border-color: #bfbfbf;
}

.rwd-table th,
.rwd-table td {
  padding: .5em 1em;
}
@media screen and (max-width: 601px) {
  .rwd-table tr:nth-child(2) {
    border-top: none;
  }
}
@media screen and (min-width: 600px) {
  .rwd-table tr:hover:not(:first-child) {
    background-color: #d8e7f3;
  }
  .rwd-table td:before {
    display: none;
  }
  .rwd-table th,
  .rwd-table td {
    display: table-cell;
    padding: .25em .5em;
  }
  .rwd-table th:first-child,
  .rwd-table td:first-child {
    padding-left: 0;
  }
  .rwd-table th:last-child,
  .rwd-table td:last-child {
    padding-right: 0;
  }
  .rwd-table th,
  .rwd-table td {
    padding: 1em !important;
  }
}
.woocommerce form.woocommerce-cart-form .quantity span.q_inc,.woocommerce form.woocommerce-cart-form .quantity span.q_dec{display: none;}
.woocommerce form.woocommerce-cart-form div.quantity input[type="number"]{pointer-events: none;}

#wpcf7-f1101-o2 fieldset{margin:0; padding:0;}
.wpcf7-form .fieldset-cf7mls .cf7mls-btns {
  min-height: 80px;
  position: absolute;
  bottom: -10px;
  right: 20px;
}

.wpcf7-form .fieldset-cf7mls .cf7mls-btns .cf7mls_btn{
  width: fit-content !important;
  border: 1px solid !important;
  background: #553286 !important;
  padding: 6px 35px !important;
  margin-top: 10px !important;
  font-family: 'Inter';
  text-transform: inherit !important;
  letter-spacing: inherit !important;
  font-size: 14px !important;
  border-radius: 10px !important;
  color: #fff !important;
  height: 40px !important;
}
#wpcf7-f1101-o2 .wpcf7-form span.wpcf7-not-valid-tip{display: none;}
#wpcf7-f1101-o2 .wpcf7-form-control.wpcf7-text.wpcf7-validates-as-required.wpcf7-not-valid {
  border: 1px solid red;
}
#wpcf7-f1101-o2.wpcf7 form .wpcf7-response-output {
  margin: 0.5em 0 1em 0;
  padding: 0.2em 1em;
  border: 2px solid #00a0d2;
  line-height: 16px;
}
@media only screen and (max-width: 600px) {
  #wpcf7-f1101-o2 .flex_form {
    flex-direction: column;
    padding: 10px 20px 50px 20px;
  }
  #wpcf7-f1101-o2 .flex_form .half-col{width:100%;}
  #wpcf7-f1101-o2 .flex_form .half-col:first-child{display: none;}
  #wpcf7-f1101-o2 .slider_form .row{width:100%;}
}
.header-right .wpb_wrapper{display:flex; align-items:center;}
.header-right .wpb_wrapper .vc_icon_element{margin:0;}
#btn-buy, .woocommerce .button, .woocommerce-page .button, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button .woocommerce #respond input#submit, .woocommerce input[type="button"], .woocommerce-page input[type="button"], .woocommerce input[type="submit"], .woocommerce-page input[type="submit"], .woocommerce .woocommerce-message .button, .woocommerce ul.products li.product .button, .woocommerce div.product form.cart .button, .woocommerce #review_form #respond p.form-submit input[type="submit"], .woocommerce-page #review_form #respond p.form-submit input[type="submit"], .woocommerce table.my_account_orders .order-actions .button, .yith-woocompare-widget a.clear-all, .woocommerce .checkout table.shop_table .product-name .variation, .woocommerce.widget_shopping_cart .total .amount, .woocommerce.widget_shopping_cart .quantity, .woocommerce .shop_table.order_details td.product-name .variation{font-family:inherit !important;}
.woocommerce-account .woocommerce-MyAccount-content .woocommerce-Address{position:relative;}
.woocommerce-account .woocommerce-MyAccount-content .woocommerce-Address header{background:transparent;position: relative !important;}
.woocommerce-account .woocommerce-MyAccount-content .woocommerce-Address header h3 {
  margin: 10px 0;
}
.file-upload-wrapper{background:#fbf6a4; padding:10px;}
#file_option {
  font-size: 15px;
  color:#000;
}
.woocommerce-estimate-container > h2 {
  margin-bottom: 5px;
}

.pco-file-option label {
  color: #afa946;
  font-weight: 600;
  font-size:18px;
}
.order-designs p{color:#afa946; font-weight:600; margin-bottom:10px;}
.woocommerce-estimate-container p{color:#afa946; font-weight:600; margin-bottom:10px;margin-bottom: -10px;}
.product-note{color:#313131; font-weight:400; margin-bottom:10px;padding-top:10px; display:table; font-size: 14px;}
.product-note span{color:#d6ab60; display:block; font-size:24px; margin-bottom:5px;}

.product-subnote{color: #000;
    font-weight: 500;
    /* margin-bottom: 10px; */
    padding-top: 8px;
    display: table;
    font-size: 14px;
    padding-left: 10px;
    background-color: #f5efff;
    margin-top: 20px;
    padding-bottom: 8px;
    padding-right: 5px;
}
.product_n{color:#553286; font-weight:600;font-size: 18px;margin-bottom: 10px;}

button.single_add_to_cart_button {
  width: auto;
  display: inline-block;
  padding: 10px 25px !important;
  background: linear-gradient(to right,#c0954b,#e7bd74);
  border: none;
  border-radius: 55px !important;
  color: #fff !important;
  font-weight: 600 !important;
  font-size: 14px !important;
}
.pco-design-option .select_container {
  margin-bottom: 20px;
  color: #9a9a9a;
  border-color: #f6f6f6;
  background-color: #f6f6f6;
}

.select_container select {
  background: none !important;
  border: none;
  width: 100%;
  padding: 1em 1.4em;
    padding-right: 1.4em;
  padding-right: 3em !important;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  -ms-box-sizing: border-box;
  box-sizing: border-box;
}
.wc-block-cart-item__wrap .wc-block-cart-item__prices{text-align:left;}
.wc-block-cart-item__wrap .wc-block-components-product-metadata{text-align:left; line-height:18px;}
.wc-block-cart-item__wrap .wc-block-cart-item__quantity .wc-block-components-quantity-selector{display:none;}
table.woocommerce-table--order-details  th{text-align:left;}
table.woocommerce-table--order-details  td{text-align:left;}
.woocommerce-table--order-details ul.wc-item-meta li{list-style:none;} 
.woocommerce-table--order-details ul.wc-item-meta li strong{display:inline-block;}
.woocommerce-table--order-details ul.wc-item-meta li p{display:inline-block;}
 
 
.woocommerce #customer_login{display:flex;  } 

.woocommerce #customer_login .u-column1.col-1{width:50%; padding-right:10px;}
.woocommerce #customer_login .u-column2.col-2{width:50%; padding-left:10px;} 
#customer_login .woocommerce-button{padding: 17px 43px; background: linear-gradient(to right,#c0954b,#e7bd74);border: none;border-radius: 55px;color: #fff;font-weight: 600;display:block; margin-top:10px; margin-bottom:10px; cursor:pointer;}

#customer_login .woocommerce-button:hover{
      background:#313131;
  }
.wc-block-cart__submit-button,.smsalert_otp_btn_submit, .smsalert_otp_validate_submit{
    padding: 17px 43px; background: linear-gradient(to right,#c0954b,#e7bd74);border: none;border-radius: 55px;color: #fff;font-weight: 600;display:block; margin-top:10px; margin-bottom:10px; cursor:pointer;
}

.wc-block-cart__submit-button{ width:auto !important;}
.wc-block-cart__submit-button:hover,.smsalert_otp_btn_submit:hover, .smsalert_otp_validate_submit:hover{background:#313131;}
.sa_myaccount_btn{padding: 17px 43px; background: linear-gradient(to right,#c0954b,#e7bd74);border: none;border-radius: 55px;color: #fff;font-weight: 600;display:block; margin-top:10px; margin-bottom:10px; cursor:pointer;}
.sa_myaccount_btn:hover{background:#313131;}
.input-text.otp_input{height:35px; outline:none;}
.sa-message.woocommerce-message{line-height:26px;}
.wc-block-checkout__actions .wc-block-components-checkout-place-order-button{padding: 17px 43px; background: linear-gradient(to right,#c0954b,#e7bd74);border: none;border-radius: 55px;color: #fff;font-weight: 600;display:block; margin-top:10px; margin-bottom:10px; cursor:pointer;}

.edgtf-single-product-title{font-size:40px; font-weight:500;}

.woocommerce-product-details__short-description {
  border-bottom: 3px solid #e7bd74;
  margin-bottom: 25px;
  padding-bottom: 15px;
}

.upload-btn-wrapper {
  position: relative;
  overflow: hidden;
  display: inline-block;
}

.upload-btn-wrapper .btn {
  border: none;
  color: #636262;
  background-color: #f6f6f6;
  padding: 8px 20px;
  border-radius: 8px;
  font-size: 14px;
  font-weight: bold;
 text-transform: uppercase;
}

.upload-btn-wrapper input[type=file] {
  font-size: 100px;
  position: absolute;
  left: 0;
  top: 0;
  opacity: 0;
}
body .edgtf-single-product-summary .price{margin-bottom:10px;}
body .edgtf-single-product-summary .cart{margin-top:15px; padding-bottom:15px;}
.related.products .price{display:none !important;}

.single-product .edgtf-single-product-images{width:58%;}
.single-product .edgtf-single-product-summary{width:38%;}
.woocommerce-product-gallery__image a{width:100%;}
.pco-design-option > label{color:#d6ab60;}

/*
.pco-option {
  display: block;
  position: relative;
  cursor: pointer;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}


.pco-option input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
}


.pco-option .checkmark {
  position: absolute;
  top: 5px;
  left: 0;
  height: 15px;
  width: 15px;
  background-color: #eee;
}


.pco-option:hover input ~ .checkmark {
    background-color: #ccc;
}


.pco-option input:checked ~ .checkmark {
  background-color: transparent;
  border: 1px solid #d6ab60;
}


.pco-option .checkmark:after {
    content: "";
    position: absolute;
    display: none;
}


.pco-option input:checked ~ .checkmark:after {
    display: block;
}


.pco-option .checkmark::after {
  left: 5px;
  top: -1px;
  width: 6px;
  height: 10px;
  border: solid #d6ab60;
    border-top-width: medium;
    border-right-width: medium;
    border-bottom-width: medium;
    border-left-width: medium;
  border-width: 0 3px 3px 0;
  -webkit-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  transform: rotate(45deg);
}
*/

.pco-option input[type="checkbox"] + label {
  display: block;
  margin: 0;
  cursor: pointer;
  padding: 0;
    padding-left: 0px;
  line-height: 20px;
}

.pco-option input[type=checkbox] {
  display: none;
}

.pco-option input[type="checkbox"] + label::before {
  content: "\2714" !important;
  border: .1em solid #d6ab60 !important;
  border-radius: .2em;
  display: inline-block;
  width: 10px;
  height: 10px;
  padding-left: 5px;
  padding-bottom: 6px;
  margin-right: 5px;
  vertical-align: bottom;
  color: transparent;
  transition: .2s;
}

.pco-option input[type=checkbox] + label:active:before {
  transform: scale(0);
}

.pco-option input[type="checkbox"]:checked + label::before {
  background-color: transparent !important;
  border-color: #d6ab60 !important;
  color: #d6ab61 !important;
  line-height: 12px;
}

.pco-option input[type=checkbox]:disabled + label:before {
  transform: scale(1);
  border-color: #aaa !important;
  background: #f9f6f6 !important;
}

.pco-option input[type=checkbox]:checked:disabled + label:before {
  transform: scale(1);
  background-color: #F7C28F;
  border-color: #F7C28F;
}
.video-popup .ult_modal-body p{margin:0;}
.video-popup .ult_modal-body{padding:5px;}
.video-popup .ult_modal-body .wp-video{width:100% !important;}


@media only screen and (max-width:768px) {
    .woocommerce #customer_login{display:block;  } 
    .woocommerce #customer_login .u-column1.col-1{width:100%; padding-right:0px; margin-bottom:20px;}
    .woocommerce #customer_login .u-column2.col-2{width:100%; padding-left:0px;} 
}
 
@media (max-width: 479px) {
	.product-note{color:#553286; font-weight:600; margin-bottom:10px;padding-top:10px; display:table; font-size: 14px;
    padding-left: 10px;}
    .woocommerce div.product div.images.woocommerce-product-gallery{margin-bottom:70px;}
    .atluxe-note {bottom:-70px;}
}